
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>发布支持多线程的PowerShell模块 &mdash;&mdash; MultiThreadTaskRunner / 憋错料</title>

    <meta name="description" content="发布支持多线程的PowerShell模块 &mdash;&mdash; MultiThreadTaskRunner 应用场景 多线程在需要批量处理一些任务的时候相当有用,也更加有利于充分利用现有计算机的能力.所有主流的开发语言都支持多线程. 默认情况下,PowerShell作为一个脚本语言,是不支持多线程操作的,虽然有所谓的后台任务,但实际上控制起来相当麻烦. 解决方案 我很喜欢PowerShell,所以为此专门写了一个自定义的模块,来实现多线程的功能.该模块使用C#编写,源代码可以在下面的地址访问到 https://github.com/chenxizhang/MultiThreadTaskRunner 与">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">发布支持多线程的PowerShell模块 &mdash;&mdash; MultiThreadTaskRunner</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h2>应用场景</h2>
<p>多线程在需要批量处理一些任务的时候相当有用，也更加有利于充分利用现有计算机的能力。所有主流的开发语言都支持多线程。</p>
<p>默认情况下，PowerShell作为一个脚本语言，是不支持多线程操作的，虽然有所谓的后台任务，但实际上控制起来相当麻烦。</p>
<h2>解决方案</h2>
<p>我很喜欢PowerShell，所以为此专门写了一个自定义的模块，来实现多线程的功能。该模块使用C#编写，源代码可以在下面的地址访问到</p>
<p><a href="https://github.com/chenxizhang/MultiThreadTaskRunner" rel="external nofollow noreferrer">https://github.com/chenxizhang/MultiThreadTaskRunner</a></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzkwNzIvMjAxNzA2LzkwNzItMjAxNzA2MDMxMTExMjk3NTgtMjU2OTgwMTQ3LnBuZw==.jpg"></p>
<p>与此同时，这个模块已经打包发布到微软官方的PowerShell Gallery中</p>
<p><a href="https://www.powershellgallery.com/packages/MultiThreadTaskRunner/1.0" rel="external nofollow noreferrer">https://www.powershellgallery.com/packages/MultiThreadTaskRunner/1.0</a></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzkwNzIvMjAxNzA2LzkwNzItMjAxNzA2MDMxMTExMzA4MDUtMTM4Mzg2MzgwNS5wbmc=.jpg"></p>
<h2>如何使用</h2>
<p>要使用该模块，首先需要进行安装（请用管理员身份打开PowerSehll）</p>
<p><code>Install-Module -Name MultiThreadTaskRunner </code></p>
<h5>接下来，准备一个用来测试的脚本块</h5>
<p>$script ={</p>
<p>param($obj);</p>
<p>Write-Host $obj</p>
<p>}</p>
<p>请注意，这里只是用最简单的代码做了实现，根据传入的一个参数，输出数据</p>
<p>第三步，就可以进行快速使用了</p>
<p>New-MultiTaskJob –Source 1..100 –Block $script –ThreadCount 10</p>
<p>这个命令的意思是指，用10个并行的线程，处理传入的100个数字，实际上每个线程分配得到的数字是10个，然后使用此前定义好的脚本块执行它</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzkwNzIvMjAxNzA2LzkwNzItMjAxNzA2MDMxMTExMzIzMjEtMTI3OTU3OTExNi5wbmc=.jpg"></p>
<p>请注意，你可以看到此时输出的结果并不是按照1到100的顺序进行，这个可以证明实际上这些数字是被不同的线程进行处理的。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 17:01:38 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/www/" title="www&period;">www&period;</a>, <a href="https://www.biecuoliao.com/tag/%e6%a0%b9%e6%8d%ae/" title="根据">根据</a>, <a href="https://www.biecuoliao.com/tag/name/" title="name">name</a>, <a href="https://www.biecuoliao.com/tag/%e5%91%bd%e4%bb%a4/" title="命令">命令</a>, <a href="https://www.biecuoliao.com/tag/tle/" title="tle">tle</a>, <a href="https://www.biecuoliao.com/tag/mod/" title="mod">mod</a>, <a href="https://www.biecuoliao.com/tag/%e5%be%ae%e8%bd%af/" title="微软">微软</a>, <a href="https://www.biecuoliao.com/tag/%e7%ba%bf%e7%a8%8b/" title="线程">线程</a>, <a href="https://www.biecuoliao.com/tag/%e6%9c%89%e7%94%a8/" title="有用">有用</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>发布支持多线程的PowerShell模块 &mdash;&mdash; MultiThreadTaskRunner的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pD78V4.html" rel="bookmark">ISE Module Browser &ndash;直观高效的PowerShell模块管家！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				﻿﻿ ISEModule Browser –直观高效的PowerShell模块管家! 可重复利用的优质代码好比乐高零件,使IT人员能够迅速重组出自动化解决方案.上哪儿找可重复利用的优质代码呢?现有的一种方法是利用PowerShellGet.PowerShellGet是一个命令集,可通过控制台在PowerShellGallery内查找.安装并发布模块.不过,今天我们要给大家介绍的是一种更为直观的.通过图形界面访问管理PowerShell模块的方式-Module Browserfor PowerSh			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MV9zG24.html" rel="bookmark">python多线程与threading模块</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				python多线程与_thread模块 中介绍了线程的基本概念以及_thread模块的简单示例.然而,_thread模块过于简单,使得我们无法用它来准确地控制线程,本文介绍threading模块,它提供了更强大的多线程管理方案. threading模块的对象 Thread 表示一个执行线程的对象 Lock 锁原语 RLock 可重入锁对象,使单一线程可以再次获得已持有的锁(递归锁) Condition 条件变量对象,使得一个线程等待另一个线程满足特定条件 Event 条件变量的通用版本,任意数量			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0b9pwYM.html" rel="bookmark">新版Azure Automation Account 浅析（二） --- 更新Powershell模块和创建Runbook</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前篇我们讲了怎样创建一个自动化账户以及创建时候&quot;Run As Account&quot;选项背后的奥秘.这一篇针对在Azure自动化账户中使用Powershell Runbook的用户讲一下怎样更新powershell 模块. 更新Powershell模块 首先,我们需要先了解一下Azure Automation的系统架构.我们已经知道用户可以通过运行Runbook来实现自动化运维,Runbook运行则是在Azure Automation的沙盒里执行的,沙盒是一组由Azure管理的虚机资源, 我			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmlZaQ4.html" rel="bookmark">Citrix发布支持Framehawk技术的HDX协议，用户体验优势进一步扩大</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Framehawk技术是什么?关心Citrix的朋友们可能还记得在这是一家在去年一月份被Citrix收购的公司.Framehawk曾经是一家在虚拟化业内很知名的厂商,它的Lightweight FramebufferProtocol (LFP:轻型帧缓冲协议)是自家研发的专利技术(LFP作用和Teradici公司的PC-over-IP(PCoIP)协议类似,只是后者效率较低,VMware View正是租用Teradici公司PCoIP协议作为其传输协议,所以体验效果不好,另外最近Amazon推出			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49rongM.html" rel="bookmark">监控之cacti的安装部署（监控本机及其他主机&plus;支持多线程&plus;命令行监控）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				主机环境   redhat6.5 64位 实验环境   服务端1 ip 172.25.25.1            服务端2 ip 172.25.25.2 安装包     cacti-0.8.8h.tar.gz      php-snmp-5.3.3-26.el6.x86_64.rpm cacti-spine-0.8.8g.tar.gz 防火墙状态:关闭 Selinux状态:Disabled 1.配置安装cacti及测试 A)配置安装cacti [[email protected] Asia]			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47DPByM.html" rel="bookmark">ThreadSafeClientConnManager用来支持多线程的使用http client</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ThreadSafeClientConnManager用来支持多线程的使用http client import org.apache.http.HttpEntity; import org.apache.http.HttpResponse; import org.apache.http.client.HttpClient; import org.apache.http.client.methods.HttpGet; import org.apache.http.impl.client.Defau			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pPagJ4.html" rel="bookmark">&amp;lt&semi;转&amp;gt&semi;创建支持eclipse的多模块maven项目</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如何使用eclipse创建Maven工程及其子模块 1,首先创建一个父类工程   子模块继承父类工程      并在父类工程的pom.xml文件中定义引入的jar及其版本号     子模块可以引用 2  创建api子模块,主要放置SDK 3  创建server  子模块 主要存放配置文件   不包括源代码 创建工程完成 创建支持eclipse的多模块maven项目 通过maven可以创建多个关联模块的项目(Multiple Module Projects).由一个总的模块,下面包含多个子模块(子			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmYrLKM.html" rel="bookmark">Python的多线程和多进程模块对比测试</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文主要对比测试Python的多线程和多进程模块在CPU类型和I/O的任务操作时的效率 一 测试CPU消耗类型任务 在一台多核CPU的服务器上执行多线程代码,理论上代码执行时会利用多余的CPU核心来提升性能.但是由于Python的GIL的存在,使用多线程来执行CPU繁重的任务,未必能得到性能提升.但是GIL又必不可少,因为在Python解释器中执行线程是不安全的,也就是说为了保证Python线程执行时的安全,Python提供了一个全局锁,同一时刻,只允许一个线程获得这个全解锁并执行. CPU消耗			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41D6LO3.html" rel="bookmark">完美编译暗黑世界1&period;4的win32版本（支持线程和联网模块）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				完美编译暗黑世界1.4的win32版本(支持线程和联网模块) (原文地址/下载地址:http://www.9miao.com/question-15-53447.html) 首先,非常感谢9秒团队无私奉献的精神,把暗黑世界客户端源代码免费公开! 让我们有了学习cocos2Dx的入门工程,造福广大会员,功德无量! 本次修改,我是在1.3基础上的,其实也是在1.0基础上一步一步修改过来的. 初学者可以先看1.0的工程,再看1.3的工程,接着就是看1.4的工程了. 一些文件配置和拷贝,请参考1.0和1			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/N4p1rVM.html" rel="bookmark" class="title">asp&period;net mvc下使用Html&period;Partial嵌套页面（功能同等用户控件）</a>
					<div>
						return View()相关简介 在asp.net mvc中返回View时使用的是ViewResult,它继承自ViewResultBase 同时它还有个兄弟PartialViewResult.一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lrNGZ4.html" rel="bookmark" class="title">bind&lpar;&rpar;</a>
					<div>
						首先是改变this指向问题 1 var altwrite = document.write; 2 altwrite(&quot;hello&quot;); 上面的程序运行,会报错:Uncaught T ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kX2VL3.html" rel="bookmark" class="title">如何阅读源代码（3）</a>
					<div>
						第三章: 高级C数据类型 +++++++++++++++++++ 52.了解特定语言构造所服务的功能之后, 就能够更好地理解使用它们的代码. 53.识别并归类使用指针的理由. 54.在C程序中, 指针 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Jklr9M.html" rel="bookmark" class="title">共享一个防止脚本重复启动的shell脚本</a>
					<div>
						项目的一个需求:为防止脚本重复调度,导致同时运行时相互冲突,需要在脚本运行开始前创建一个文件,结束时删除. 脚本启动时判断一下文件是否存在,如果存在则退出. 最开始这样做没发现问题,但跑一段时间后,发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MX7dea4.html" rel="bookmark" class="title">CentOS-6&period;4安装Memcached</a>
					<div>
						1.准备文件 cd /usr/src 最新版下载地址 :http://code.google.com/p/memcached/downloads/list wget http://memcached. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rke274.html" rel="bookmark" class="title">POJ 1804 Brainman&lpar;5种解法，好题，【暴力】，【归并排序】，【线段树单点更新】，【树状数组】，【平衡树】&rpar;</a>
					<div>
						Brainman Time Limit: 1000MS   Memory Limit: 30000K Total Submissions: 10575   Accepted: 5489 Descrip ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AA1ev4.html" rel="bookmark" class="title">pure-ftpd开启日志功能</a>
					<div>
						vsftpd和pure-ftpd是 ftp传输的两个工具,第一个安全性高,配置后续配置简单.pure-ftpd是搭建简单,配置不简单啊. 由于工作关系,lamnp自带pure-ftpd,需要查看ftp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nP8pP4.html" rel="bookmark" class="title">【2017-03-05】函数基础、函数四种结构、ref和out参数、递归</a>
					<div>
						一.函数基础 1.函数/方法:非常抽象独立完成某项功能的一个个体 2.函数的作用: 提高代码的重用性提高功能开发的效率提高程序代码的可维护性 3.分类 固定功能函数高度抽象函数 4.函数四要素:输入, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rbrLX3.html" rel="bookmark" class="title">做前端静态页面可以用到的一些属性</a>
					<div>
						border-radius        边框圆角                            像素和百分比 box-shadow            边框阴影            bo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lNQbo4.html" rel="bookmark" class="title">golang语言部分保留字的举例</a>
					<div>
						golang和c的代码有很大不同的,一不小心就会误用. 1 /* go保留字: */ 2 /* 3 break default func interface select 4 case defer g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RmbX9M.html" rel="bookmark" class="title">亚马逊中国的差异化路线依然不够鲜明</a>
					<div>
						http://brand.yoka.com/cosmetics/reply/commentreply14274597.htm http://brand.yoka.com/cosmetics/reply ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPeOVn0.html" rel="bookmark" class="title">在vue中操作DOM--this&period;&dollar;nextTick&lpar;&rpar;</a>
					<div>
						虽然 Vue.js 通常鼓励开发人员沿着&quot;数据驱动&quot;的方式思考,避免直接接触 DOM,但是有时我们确实要这么做.比如一个新闻滚动的列表项.如果在这里需要操作dom, 应该是等待 V ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzkxBl0.html" rel="bookmark" class="title">前端设计&mdash;&mdash;音乐盒子</a>
					<div>
						1.首先要完成的结构如下图所示: 一个大盒子被分为左右下三个部分,左边部分(紫颜色)用于存放一个动态图片:右边绿颜色部分用于显示歌手头像,歌曲名字,歌词:下边银白色用于控制歌曲的播放与暂停.这就是想要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OpGv74.html" rel="bookmark" class="title">Tcl&sol;tk SOAP安装</a>
					<div>
						C:\Users\Phoenix&gt;teacup install SOAP -exact 1.6.8.1 Resolving SOAP 1.6.8.1-1.6.8.1 ... [package S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41edqg4.html" rel="bookmark" class="title">dijkstra，SPFA，Floyd求最短路</a>
					<div>
						Dijkstra: 裸的算法,O(n^2),使用邻接矩阵: 算法思想: 定义两个集合,一开始集合1只有一个源点,集合2有剩下的点. STEP1:在集合2中找一个到源点距离最近的顶点k:min{d[k] ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xAbPD3.html" rel="bookmark" class="title">java中参数传递方式</a>
					<div>
						在 Java 应用程序中永远不会传递对象,而只传递对象引用.因此是按引用传递对象.Java应用程序按引用传递对象这一事实并不意味着 Java 应用程序按引用传递参数.参数可以是对象引用,而 Java  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AnwpZM.html" rel="bookmark" class="title">安装Loopback网卡&sol;回环网卡</a>
					<div>
						$CurrentPath = $MyInvocation.MyCommand.Path.substring(0,$MyInvocation.MyCommand.Path.LastIndexOf('\' ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mmwmnn3.html" rel="bookmark" class="title">网站的优化，无所不用其极，就要你&OpenCurlyDoubleQuote;好看&rdquo;</a>
					<div>
						想得到更多的流量,网站排名更靠前,更想自己的网站更受搜索引擎的青睐(合理的范围内就好,毕竟蜘蛛抓取网站信息的频率若太高,服务器压力太大),网站的相关关键词在优化后能有更好的排名,优化网站的进程中,这些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPOoDD4.html" rel="bookmark" class="title">Html辅助方法 之 Form表单标签</a>
					<div>
						一.Html.BeginForm &lt;form&gt;标签 //视图代码 @using (Html.BeginForm(&quot;search&quot;, &quot;home&quot;,  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyD9Am4.html" rel="bookmark" class="title">【算法竞赛入门经典】【第三章】课后习题（第二部分）</a>
					<div>
						自从蓝桥杯之后,都没写博客了.今天将之前第三章还差的一部分习题答案补上. 3-4整数相加 这一题题目有提示,说选择合适的输入方式,即可简化问题.刚开始没想到cin,结果还用字符串来做,多亏别人提醒我一 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
